package jp.co.sds_corp.morphogenesis;

import jp.co.sds_corp.test.BasicTestCase;
import jp.co.sds_corp.util.log.CmnLogFactory;
import jp.co.sds_corp.util.log.CmnLogger;

public class PointMapTest extends BasicTestCase
{
	static final CmnLogger logger = CmnLogFactory.getLogger();
	PointMap pointMap;

	@Override
	protected void setUp() throws Exception {
		super.setUp();
		pointMap = new PointMap(100, 200);
	}

	public void test1() throws Exception {
		try {
			assertEquals("x", 100, pointMap.getX());
			assertEquals("y", 200, pointMap.getY());
		} catch (Exception ex) {
			logger.error(this, "error", ex);
			throw(ex);
		}
	}

	public void test2() throws Exception {
		try {
			assertEquals("value", 0, pointMap.get(1, 0));
		} catch (Exception ex) {
			logger.error(this, "error", ex);
			throw(ex);
		}
	}

	public void test3() throws Exception {
		try {
			pointMap.set(1, 2, 100);
			logger.debug(this, "value=" + pointMap.get(1, 2));
			assertEquals("value", 100, pointMap.get(1, 2));
		} catch (Exception ex) {
			logger.error(this, "error", ex);
			throw(ex);
		}
	}

	public void test11() throws Exception {
		try {
			pointMap.set(1, 2, 1);
			assertEquals("value", 1, pointMap.get(1, 2));
			pointMap.mark(1, 2);
			assertEquals("value", 0, pointMap.getMark(1, 2));
		} catch (Exception ex) {
			logger.error(this, "error", ex);
			throw(ex);
		}
	}

	public void test12() throws Exception {
		try {
			pointMap.set(1, 2, 1);
			assertEquals("value", 1, pointMap.get(1, 2));
			pointMap.mark(1, 2);
			assertEquals("mark", 0, pointMap.getMark(1, 2));
			pointMap.doMark();
			assertEquals("mark", 0, pointMap.get(1, 2));
		} catch (Exception ex) {
			logger.error(this, "error", ex);
			throw(ex);
		}
	}

}
