package jp.co.sds_corp.morphogenesis;

import java.awt.Graphics;

import javax.swing.JFrame;

import jp.co.sds_corp.morphogenesis.sample.Rule1;
import jp.co.sds_corp.morphogenesis.sample.Rule2;
import jp.co.sds_corp.test.BasicTestCase;
import jp.co.sds_corp.util.log.CmnLogFactory;
import jp.co.sds_corp.util.log.CmnLogger;

public class TuringPatternTest extends BasicTestCase
{
	static final CmnLogger logger = CmnLogFactory.getLogger();
	JFrame frame;
	TuringPattern turing;
	Rule rule1, rule2;

	@Override
	protected void setUp() throws Exception {
		super.setUp();

		turing = new TuringPattern(100, 100);
		turing.init();
		rule1 = new Rule1();
		rule2 = new Rule2();
		turing.listRule.add(rule1);
		turing.listRule.add(rule2);

		frame = new JFrame() {
			public void paint(Graphics gr) {
				turing.getPointMap().paint(gr);
			}
		};
		frame.setSize(1000, 1000);
		frame.setVisible(true);
	}

	public void test1() throws Exception {
		try {
			for (int i = 0; i < 10; i++) {
				turing.start();
				frame.repaint();
			}
			Thread.sleep(1000);
		} catch (Exception ex) {
			logger.error(this, "error", ex);
			throw(ex);
		}
	}

}
